# Lumina

Below is an overview of all actions that can be accessed from this menu.

| UI Action Name                                              | Action Name                 | Description                                      |
| ----------------------------------------------------------- | --------------------------- | ------------------------------------------------ |
| [Pull all](/ida-actions/luminapullallmds.md)                | `LuminaPullAllMds`          | Pull all metadata from the primary server.       |
| [Push all](/ida-actions/luminapushallmds.md)                | `LuminaPushAllMds`          | Push all metadata to the primary server.         |
| [View all](/ida-actions/luminaviewallmds.md)                | `LuminaViewAllMds`          | View all metadata from the primary server.       |
| [Pull function main](/ida-actions/luminapullmd.md)          | `LuminaPullMd`              | Pull function metadata from the primary server   |
| [Push function main](/ida-actions/luminapushmd.md)          | `LuminaPushMd`              | Push function metadata to the primary server     |
| [Pull all](/ida-actions/luminasecondarypullallmds.md)       | `LuminaSecondaryPullAllMds` | Pull all metadata from the secondary server      |
| [Push all](/ida-actions/luminasecondarypushallmds.md)       | `LuminaSecondaryPushAllMds` | Push all metadata to the secondary server        |
| [View all](/ida-actions/luminasecondaryviewallmds.md)       | `LuminaSecondaryViewAllMds` | View all metadata from the secondary server      |
| [Pull function main](/ida-actions/luminasecondarypullmd.md) | `LuminaSecondaryPullMd`     | Pull function metadata from the secondary server |
| [Push function main](/ida-actions/luminasecondarypushmd.md) | `LuminaSecondaryPushMd`     | Push function metadata to the secondary server   |
| [Revert function main](/ida-actions/luminarevertmd.md)      | `LuminaRevertMd`            | Revert function metadata                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/menu-bar-actions/common-actions-4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
